# pgn2json

[![GitHub tag (latest by date)](https://img.shields.io/github/v/tag/unkokaeru/pgn2json?label=version)](https://github.com/unkokaeru/pgn2json)
[![Lines Of Code](https://tokei.rs/b1/github/unkokaeru/pgn2json?category=code)](https://github.com/unkokaeru/pgn2json)
[![Continuous Integration (CI) Tests](https://img.shields.io/github/actions/workflow/status/unkokaeru/pgn2json/continuous_integration.yml?label=tests)](https://github.com/unkokaeru/pgn2json)
[![GitHub last commit](https://img.shields.io/github/last-commit/unkokaeru/pgn2json)](https://github.com/unkokaeru/pgn2json)

Converts a PGN file to a JSON file. Designed for displaying Chess.com games inside of Obsidian using the Chess Study plugin.

- [pgn2json](#pgn2json)
    - [Features](#features)
    - [Installation](#installation)
    - [Usage](#usage)
    - [Documentation](#documentation)
    - [Contributing](#contributing)
    - [License](#license)

## Features

- [x] Installable via pip
- [x] Command-line interface
- [x] Interactive documentation

## Installation

To install pgn2json, simply run:

```bash
pip install pgn2json
```

## Usage

After installation, you can use pgn2json by running:

```bash
$ python3 -m pgn2json
# or
$ pgn2json
```

## Documentation
For more information, you can find the documentation within the [docs](./docs/index.html) directory or on the project's [GitHub Pages](https://unkokaeru.github.io/pgn2json/).

## Contributing

Contributions are welcome! Please refer to our [CONTRIBUTING.md](./CONTRIBUTING.md) for more information.

## License

This project is licensed under the MIT License - see the [LICENSE](./LICENSE) file for details.